Bug 327041 - readahead --sort generates file with "(null)" instead of filename
readahead --sort generates file with "(null)" instead of filename
Product: Fedora
Classification: Fedora
Component: readahead (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-10 18:31 EDT by Eric Sandeen
Modified: 2008-04-04 11:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.4.2-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 11:58:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed patch (808 bytes, patch)
2007-10-10 18:33 EDT, Eric Sandeen
no flags Details | Diff

  None (edit)
Description Eric Sandeen 2007-10-10 18:31:35 EDT
[root@localhost readahead-1.4.2-debug]# readahead --sort
120088 (null)
33940 (null)
157404 (null)
600696 (null)
190808 (null)
224060 (null)
17796 (null)

Looks like this is because we are printing an "off_t" with a "%d" and then
printing the string.  Attached patch fixes this up, and a couple of other cases.

The result is that readahead is completely broken if the sorted list looks like
this, because the file "(null)" of course can't be found...
Comment 1 Eric Sandeen 2007-10-10 18:33:01 EDT
Created attachment 223501 [details]
proposed patch
Comment 2 Eric Sandeen 2007-10-10 18:40:27 EDT
Oh, maybe adding a -Wall to the Makefile would be good too, then :)

Comment 3 Bug Zapper 2008-04-04 10:02:56 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Eric Sandeen 2008-04-04 11:58:40 EDT
* Wed Oct 17 2007 Karel Zak <kzak@redhat.com> 1:1.4.2-3
- update default lists
- fix #327041 - readahead --sort generates file with "(null)"
- fix #326891 - readahead-collector doesn't collect binaries

Note You need to log in before you can comment on or make changes to this bug.